IntegrationsTools
Creates a new AI Tool.
Path Parameters
tenant*string
The tenant identifier
integration*string
The integration identifier
The AI Tool object to create.
id*string
Length
1 <= lengthintegrationId?string|null
displayName?string|null
description?string|null
actionType?string
Value in
"readOnly" | "reversible" | "irreversible"parametersMetadata?|null
descriptor*
[key: string]?never
Response Body
curl -X POST "https://api.fruxon.com/v1/tenants/string/integrations/string/tools" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "descriptor": {} }'{
"descriptor": {
"apiTool": {
"headers": {},
"httpMethod": "string",
"url": "string",
"queryParameters": {},
"body": "string",
"formParameters": {},
"resultType": "Unknown",
"resultTransformExpression": "string"
},
"predefinedTool": {
"resultType": "Unknown"
},
"mcpTool": {
"serverUrl": "string",
"mcpToolName": "string",
"resultType": "Unknown"
},
"pythonTool": {
"code": "string",
"timeoutSeconds": 0,
"packages": [
"string"
],
"resultType": "Unknown"
}
},
"isInternal": false,
"createdAt": 0,
"id": "string",
"modifiedAt": 0,
"integrationId": "string",
"displayName": "string",
"description": "string",
"toolType": "Undefined",
"isModifiable": false,
"actionType": "ReadOnly",
"resultType": "Unknown",
"parametersMetadata": [
{
"name": "string",
"index": 0,
"type": "String",
"typeName": "string",
"integerRange": {
"min": 0,
"max": 0
},
"floatRange": {
"min": 0,
"max": 0
},
"options": [],
"asset": {
"providers": null,
"contentTypes": null,
"vectorized": false
},
"displayName": "string",
"description": "string",
"required": false,
"secret": false,
"defaultValue": "string",
"jsonSchema": "string",
"uiHint": "Code",
"rules": []
}
],
"authSettings": {
"supportsOAuth": false,
"oAuth": [
{
"scopeSize": 0,
"scopes": [],
"userScopes": [],
"allScopes": [],
"requiresResourceAuth": false,
"successfulOAuthRedirect": "string"
}
]
}
}Empty
Empty